Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Projection

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Projection

    public interface Projection

extends M4Data

Version:
  $Id: Projection.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`Concept` | `getFromConcept()` Getter method.
`Concept` | `getToConcept()` Getter method.
`boolean` | `isValid()` For a valid projection, the From concept must have all the features of the To concept (correspondence is determined by name), and can have more.
`void` | `setFromConcept(Concept fromConcept)` Setter method for the From-Concept of this `Projection`
`void` | `setToConcept(Concept toConcept)` Setter method for the To-Concept of this `Projection`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### getFromConcept

    Concept getFromConcept()

  Getter method.

  Returns:
    the `Concept` stored as the From-Concept in this `Projection`

### getToConcept

    Concept getToConcept()

  Getter method.

  Returns:
    the `Concept` stored as the To-Concept in this `Projection`

### setFromConcept

    void setFromConcept(Concept fromConcept)
                        throws M4Exception

  Setter method for the From-Concept of this `Projection`

  Parameters:
    `fromConcept` - the `Concept` to be set as the new From-Concept
  Throws:
    `M4Exception`

### setToConcept

    void setToConcept(Concept toConcept)
                      throws M4Exception

  Setter method for the To-Concept of this `Projection`

  Parameters:
    `toConcept` - the `Concept` to be set as the new To-Concept
  Throws:
    `M4Exception`

### isValid

    boolean isValid()
                    throws M4Exception

  For a valid projection, the From concept must have all the features of the To concept (correspondence is determined by name), and can have more.

  Returns:
    TRUE iff this projection represents a valid projection (feature selection) from the from concept to the to concept.
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005